Subject: Re: bug#15045: Point jumps inappropriately around time of Semantic lexing

From: David Engster <[email-masked]>
Date: Sat, 10 Aug 2013 11:42:47 +0200

Stefan Monnier writes:
>>> I think the only reason, as with all the other places where we run
>>> timers, is to make Emacs look appear more responsive, notwithstanding
>>> the on-going processing.
>> Is there some easy way to get a list of functions which may cause timers
>> to run?  IMHO all those functions would need a word of warning in their
>> doc-string.
>
> Basically, read-event, read-char, read-key-sequence (and friends), and
> accept-process-output and input-pending-p, 

I think we should mention this issue in their doc-strings. Should they
all get same blurb like "This might run timers that trigger redisplay,
so you should make sure that etc." or should they just get a short
notice like "This function runs timers (see 'some-doc-string or info
page').".

> plus any function that calls one of them (e.g. sit-for).

Those are at least a few hundred, so we cannot possibly alter all the
doc-strings for those.

-David